;****************************************************************
;		      HandyAudition- Main File			*
;****************************************************************
    path "c:\lynx\HandyAudition\"
	include "AUD_Def.asm"
    path

;Engine Functions live at $8000-$9FFF
ORG $8000
    run
Start::
;****************************************************************
; Included Files/Functions					*
;****************************************************************
    path "c:\lynx\HandyAudition\SUB"
;*********************
; Hardware Functions *
;*********************
;Hardware Initialization
	include "LYNX_All.asm"
;Buttons
	include "LYNX_But.asm"
;IRQ
	include "LYNX_IRQ.asm"
;V/HSYNC
	include "LYNX_Vid.asm"
;Cartridge I/O
	include "LYNX_Crt.asm"
;**************************
; HandyAudition Functions *
;**************************
;All of them...
	include "AUD_User.asm"
;...Oh, Music Receiver too.
	include "AUD_Rec.asm"
;****************************************************************
; Shared Graphics						*
;****************************************************************
    path
    path "c:\lynx\HandyAudition\SPR\Shared"
;***********
; Hex Font *
;***********
HUD_0_data::		ibytes "HUD_0.spr"
HUD_1_data::		ibytes "HUD_1.spr"
HUD_2_data::		ibytes "HUD_2.spr"
HUD_3_data::		ibytes "HUD_3.spr"
HUD_4_data::		ibytes "HUD_4.spr"
HUD_5_data::		ibytes "HUD_5.spr"
HUD_6_data::		ibytes "HUD_6.spr"
HUD_7_data::		ibytes "HUD_7.spr"
HUD_8_data::		ibytes "HUD_8.spr"
HUD_9_data::		ibytes "HUD_9.spr"
TXT_41_data::		ibytes "TXT_41.spr"
TXT_42_data::		ibytes "TXT_42.spr"
TXT_43_data::		ibytes "TXT_43.spr"
TXT_44_data::		ibytes "TXT_44.spr"
TXT_45_data::		ibytes "TXT_45.spr"
TXT_46_data::		ibytes "TXT_46.spr"

;*********
; Extras *
;*********
ZPixel_data::		ibytes "ZPixel.spr"
;****************************************************************
; Audition Screen Graphics					*
;****************************************************************
    path
    path "c:\lynx\HandyAudition\SPR\Audition"
SFX_Labl_data		ibytes "SFX_Labl.spr"
AREGLABL_data		ibytes "AREGLABL.spr"

S_Ready_data		ibytes "S_Ready.spr"
S_Rec_data		ibytes "S_Rec.spr"
S_ErrS_data		ibytes "S_ErrS.spr"
S_ErrI_data		ibytes "S_ErrI.spr"
S_Play_data		ibytes "S_Play.spr"
;***************************
; HandyAudition Space Left *
;***************************
ADLeft set $9FFF-*
echo "HandyAudition Memory left: %HADLeft"




;****************************************************************
; HandyMusic Driver ($A000-$A6AF)				*
;****************************************************************
	path
	path "c:\lynx\HandyMusic"
;Main Driver Source
	include "HandyMusic.asm"
	path
;****************************************************************
; HandyAudition Example Sound Effects ($A6B0-$AFFF)		*
;****************************************************************
	path
	path "c:\lynx\HandyAudition\SASS"
;Sound Effects live at $A6B0-$AFFF
ORG $A6B0

	include "DemoSFX.equ"
	ibytes "DemoSFX.sfx"		;<-Your SFX files here!
;******************
; SFX Memory Left *
;******************
SGLeft set $AFFF-*
echo "Sound Effects Memory left: %HSGLeft"
	path
;****************************************************************
; HandyAudition Example Music ($B000-$BFFF)			*
;****************************************************************
ORG $B000
	path
	path "c:\lynx\HandyAudition\SASS"
	ibytes "BiPolarodius.mus"		;<-Your Music here!
	path
*
* EOF
*
